package TDS::Admin::WriteServer;
# $Id: WriteServer.pm,v 1.14 2000/11/25 07:46:19 tom Exp $
################################################################


use strict;
use vars qw(@ISA @EXPORT);

use CGI::QueryString;
use JConv;

use TDS::Admin::Authorize;
use TDS::Admin::DirInfo;

@ISA = qw(TDS::Admin::DirInfo);
@EXPORT = qw(attributes);

attributes qw();
	      
################################################################
sub GetWriteMethod
{
    my $uid = (stat($ENV{'SCRIPT_FILENAME'}))[4];
    if ($uid == $<){
	return 'direct';
    } else {
	return 'ftp';
    }
}

sub Write($$)
{
    my ($self, $content) = @_;
   
    my $admin = new TDS::Admin::Authorize;
    $admin->CheckPassword(param('password'));
}
1;

    
	
